org.apache.ignite.internal.visor.cache

## Class VisorCacheRebalanceConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheRebalanceConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheRebalanceConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for cache rebalance configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheRebalanceConfiguration()`

### Method Summary

Methods
`int` `batchSize()`
`static VisorCacheRebalanceConfiguration` `from(CacheConfiguration ccfg)`
`CacheRebalanceMode` `mode()`
`long` `partitionedDelay()`
`int` `threadPoolSize()`
`long` `throttle()`
`long` `timeout()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheRebalanceConfiguration

    public VisorCacheRebalanceConfiguration()

### Method Detail

#### from

    public static VisorCacheRebalanceConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for rebalance configuration properties.

#### mode

    public CacheRebalanceMode mode()

Returns:
  Cache rebalance mode.

#### threadPoolSize

    public int threadPoolSize()

Returns:
  Rebalance thread pool size.

#### batchSize

    public int batchSize()

Returns:
  Cache rebalance batch size.

#### partitionedDelay

    public long partitionedDelay()

Returns:
  Rebalance partitioned delay.

#### throttle

    public long throttle()

Returns:
  Time in milliseconds to wait between rebalance messages.

#### timeout

    public long timeout()

Returns:
  Rebalance timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016